## pyvows 2.1.0

=== Makefile ===
vows test:
	@env PYTHONPATH=. python pyvows/cli.py --cover --cover-package=pyvows --cover-threshold=80.0 --profile tests/

ci_test: setup
	@env PYTHONPATH=. python pyvows/cli.py --cover --cover-package=pyvows --cover-threshold=80.0 --cover-report=pyvows.coverage.xml -x tests/

setup:
	@pip install --upgrade --editable .\[tests\]

publish:
	python setup.py sdist upload

.PHONY: vows test setup publish ci_test

## pyvows 2.0.6

=== debian/changelog ===
pyvows (2.0.6-2) unstable; urgency=high

  * No install 'tests' folder (Closes: #788840)

 -- Marcelo Jorge Vieira <metal@debian.org>  Wed, 01 Jul 2015 23:27:29 -0300

pyvows (2.0.6-1) unstable; urgency=low

  * Initial version (Closes: #774655)

 -- Marcelo Jorge Vieira <metal@debian.org>  Tue, 06 Jan 2015 21:08:10 -0300

=== debian/control ===
Source: pyvows
Maintainer: Marcelo Jorge Vieira <metal@debian.org>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3),
               python-all (>= 2.6.6-3),
               debhelper (>= 7.4.3),
               dh-python,
               python-colorama,
               python-coverage,
               python-argparse,
               python-gevent,
               python-preggy (>= 0.11.1),
               help2man
Standards-Version: 3.9.6
Homepage: http://pyvows.org
Vcs-Browser: http://anonscm.debian.org/cgit/users/metal/pyvows.git
Vcs-Git: git://anonscm.debian.org/users/metal/pyvows.git
X-Python-Version: >= 2.6

Package: python-pyvows
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Asynchronous BDD for Python
 Asynchronous behaviour driven development for Python. The main reason
 for asynchronous testing is to make tests which target I/O run much
 faster, by running them concurrently.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_test:
	$(MAKE) test

override_dh_auto_clean:
	rm -f debian/pyvows.1
	dh_auto_clean

override_dh_installman:
	help2man -N --no-discard-stderr -n "BDD test engine based on Vows.js" pyvows/cli.py > debian/pyvows.1
	dh_installman

## pyvows 2.1.0

=== debian/changelog ===
pyvows (2.1.0-2) unstable; urgency=high

    * Fixed FTBFS (Closes: #828815)

 -- Marcelo Jorge Vieira <metal@debian.org>  Wed, 07 Dec 2016 21:27:00 -0200

pyvows (2.1.0-1) unstable; urgency=high

  * New Upstream release
    + Fixed FTBFS (Closes: #828815)
    + Remove no_install_tests_folder.patch, applied upstream.
  * Updated Standards-Version to 3.9.8 (no changes)

 -- Marcelo Jorge Vieira <metal@debian.org>  Tue, 26 Jul 2016 13:38:50 -0300

pyvows (2.0.6-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 19 Jun 2016 21:46:33 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python-gevent,
                python-preggy (>= 0.11.1),
                help2man
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://pyvows.org
 Vcs-Browser: http://anonscm.debian.org/cgit/users/metal/pyvows.git
 Vcs-Git: git://anonscm.debian.org/users/metal/pyvows.git

## pyvows 3.0.0

=== Makefile ===
vows test:
	@env PYTHONPATH=. python pyvows/cli.py --cover --cover-package=pyvows --cover-threshold=80.0 --profile tests/

setup:
	@pip install --upgrade --editable .\[tests\]

coverage:
	@env PYTHONPATH=. python pyvows/cli.py --cover --cover-package=pyvows --cover-threshold=80.0 --cover-report=coverage.xml -x tests/

publish:
	python setup.py sdist upload

.PHONY: vows test setup coverage publish

=== requirements.txt ===
gevent>=1.2.2
preggy>=1.4.4

argparse>=1.4.0
colorama>=0.3.7
coverage>=4.1.1

=== debian/changelog ===
pyvows (3.0.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-all and
      python3-setuptools.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Dec 2022 15:10:37 +0000

pyvows (3.0.0-3) unstable; urgency=medium

  [ Chris Lamb ]
  * Make the build reproducible by setting PYTHONPATH correctly when calling
    help2man(1), otherwise the manpage contains a Python traceback (that
    contains the absolute build path). (Closes: #977487)
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper compatibility level to 13.
  * Apply wrap-and-sort -sa.
  * Bump debian/watch to version 4.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Chris Lamb <lamby@debian.org>  Mon, 22 Mar 2021 12:01:32 +0000

pyvows (3.0.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Remove Provides: python-pyvows from python3-pyvows. Nothing depends on it,
    and it does not provide a Python 2 library.
  * Declare Rules-Requires-Root: no.
  * Use pybuild to drive tests, so that we can test on all supported versions
    of Python 3.
  * Add autopkgtest that runs the unit tests.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 29 Dec 2019 11:56:46 +0200

pyvows (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0
  * python3 support (Closes: #938300)
  * Use debhelper-compat instead of debian/compat
  * Move package to Python Modules Team
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: replaces and breaks python-pyvows

 -- Marcelo Jorge Vieira <metal@debian.org>  Tue, 26 Nov 2019 00:12:18 -0300

=== debian/control ===
Source: pyvows
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Marcelo Jorge Vieira <metal@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 help2man,
 python3-all,
 python3-argparse-manpage,
 python3-colorama,
 python3-coverage,
 python3-gevent,
 python3-preggy (>= 1.4.3),
 python3-setuptools,
Standards-Version: 4.5.1
Homepage: https://pyvows.org
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyvows
Vcs-Git: https://salsa.debian.org/python-team/packages/pyvows.git
Rules-Requires-Root: no

Package: python3-pyvows
Architecture: all
Conflicts:
 python-pyvows,
Replaces:
 python-pyvows,
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Asynchronous BDD for Python
 Asynchronous behaviour driven development for Python. The main reason
 for asynchronous testing is to make tests which target I/O run much
 faster, by running them concurrently.

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-all,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pyvows-$1\.tar\.gz/ \
  https://github.com/heynemann/pyvows/tags .*/v?(\d\S*)\.tar\.gz
